Go to the latest version of this document.

# ``twisted`.`internet`.`task`.`TaskFinished``

exception documentation

`class TaskFinished(SchedulerError): (source)`

Known subclasses: `twisted.internet.task.TaskDone`, `twisted.internet.task.TaskFailed`, `twisted.internet.task.TaskStopped`

View In Hierarchy

The operation could not complete because the task was already completed, stopped, encountered an error or otherwise permanently stopped running.